Subject: Re: genphy_read_status() vs. 1000bT Pause capability

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 28 Mar 2017 22:11:24 +1100

On Tue, 2017-03-28 at 10:42 +0100, Russell King - ARM Linux wrote:
> The 1000X definitions are for 1000BaseX (fiber), not for 1000BaseT
> (copper).
> 
> I have a working setup here with gigabit pause.  The pause bits come
> from bits 11 and 10, just like for older copper PHYs.  Your link
> parter is indicating that it has no pause capability.  That means
> you can't use pause.

Interesting. I tried and it worked :-) Could be something funny in
the config of our switches.

Thanks for the explanation.

Cheers,
Ben.